routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use Illuminate\Auth\Middleware\Authenticate;

Route::get('customs/grade/{id}', 'CustomController@getPrice');
Route::post('/customs', 'CustomController@store');

Route::get('/', 'PagesController@index')->name('pages.index');
Route::get('/config', 'PagesController@config')->name('pages.config');

Route::get('/cuenta-desactivada', 'PagesController@unactive')->name('pages.unactive');
Auth::routes();




Route::group(array('prefix' => 'admin'), function(){
    Route::get('/dashboard', 'DashboardController@index')->name('admin.dashboard');
    Route::get('/dashboard/export/excel/{buscar}/{desde}/{hasta}', 'ExcelController@getExportExcel')->name('admin.excel');
    Route::get('/dashboard/delete/{id}', 'DashboardController@delete')->name('admin.dashboard.delete');
    Route::get('/dashboard/deleteit/all', 'DashboardController@deleteAll')->name('admin.dashboard.deleteAll');

    Route::get('/grades', 'GradesAdminController@index')->name('admin.grades');
    Route::post('/grades/update', 'GradesAdminController@updateGrades');
    Route::post('/grades/update-totals', 'GradesAdminController@updateTotals');
    Route::post('/grades/update-config', 'GradesAdminController@updateConfig');
    Route::post('/grades/update-planes', 'GradesAdminController@updatePlans');

    Route::resource('/user', 'UserController');


});

app/User.php
<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password','state'
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];
}

app/Http/Controllers/UserController.php
<?php

namespace App\Http\Controllers;

use App\Http\Requests\Usersrequest;
use App\User;
use Illuminate\Http\Request;

class UserController extends Controller
{

    /**
     * Create a new controller instance.
     *
     */
    public function __construct()
    {
        $this->middleware( 'auth' );
        $this->middleware( 'statusCheck' );
    }


    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $users = User::paginate(10);
        return View('users.index', compact('users'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return View('users.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param Usersrequest|Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Usersrequest $request)
    {
        $user = User::create($request->all());
        flash('Registro completado.')->success();
        return redirect()->to('/admin/user ');
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $user = User::findOrFail($id);

        return View('users.edit', compact('user'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param Usersrequest|Request $request
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function update(Usersrequest $request, $id)
    {
        $user = User::findOrFail($id);
        if($request->input('password')):
            $request['password'] = bcrypt($request->input('password'));
            unset($request['password_confirmation']);
        else:
            unset($request['password']);
            unset($request['password_confirmation']);
        endif;
        $user->update($request->all());

        flash('Registro actualizado.')->success();
        return redirect()->to('/admin/user ');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/users/_form.blade.php
<div class="row">
    <div class="form-group col-md-6 {{ $errors->has('name') ? ' has-error' : '' }}">
        <label for="name">Nombre</label>
        {!!   Form::text('name', null, ['class' => 'form-control']) !!}
        <span class="help-block">
            <strong>{{ $errors->first('name') }}</strong>
        </span>
    </div>

    <div class="form-group col-md-6 {{ $errors->has('email') ? ' has-error' : '' }}">
        <label for="name">Email</label>
        {!!   Form::email('email', null, ['class' => 'form-control']) !!}
        <span class="help-block">
            <strong>{{ $errors->first('email') }}</strong>
        </span>
    </div>
</div>
<div class="row">
    <div class="form-group col-md-6 {{ $errors->has('password') ? ' has-error' : '' }}">
        <label for="name">Password</label>
        {!!   Form::password('password', ['class' => 'form-control']) !!}
        <span class="help-block">
            <strong>{{ $errors->first('password') }}</strong>
        </span>
    </div>

    <div class="form-group col-md-6 {{ $errors->has('password_confirmation') ? ' has-error' : '' }}">
        <label for="name">Password Confirm</label>
        {!!   Form::password('password_confirmation', ['class' => 'form-control']) !!}
        <span class="help-block">
            <strong>{{ $errors->first('password_confirmation') }}</strong>
        </span>
    </div>
</div>

<div class="row">
    <div class="form-group col-md-6 {{ $errors->has('state') ? ' has-error' : '' }}">
        <label for="name">Estado</label>
        {!!   Form::select('state', ['0' => 'Inactivo', '1' => 'Activo'], null, ['class' => 'form-control']) !!}
        <span class="help-block">
            <strong>{{ $errors->first('state') }}</strong>
        </span>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <button type="submit" class="btn btn-block btn-success btn-lg">Enviar</button>
    </div>
</div>

resources/views/users/create.blade.php
@extends('layouts.backend-layout')
@section('pagesTitle', 'Administracion de Usarios')
@section('subTitle', 'Nuevo Usuario')

@section('content')
    <section class="col-lg-7 connectedSortable">
        <div class="box box-primary">
            <div class="box-header with-border">
                <h3 class="box-title">Creación de Usuarios</h3>
            </div>

            {!! Form::open(array('url' => array('/admin/user'), 'method' => 'POST')) !!}
            <div class="box-body">
                @include('users._form')
            </div>
            {!! Form::close() !!}
        </div>
    </section>

@stop

resources/views/users/edit.blade.php
@extends('layouts.backend-layout')
@section('pagesTitle', 'Administracion de Usarios')
@section('subTitle', $user->name)


@section('content')
    <section class="col-lg-7 connectedSortable">
        <div class="box box-primary">
            <div class="box-header with-border">
                <h3 class="box-title">Edición de Usuarios</h3>
            </div>
            {!! Form::model($user, array('url' => array('/admin/user', $user->id), 'method' => 'PUT')) !!}
            <div class="box-body">
                @include('users._form')
            </div>
            {!! Form::close() !!}

        </div>
    </section>
@stop

resources/views/users/index.blade.php
@extends('layouts.backend-layout')
@section('pagesTitle', 'Administracion de Usarios')
@section('breadcrumb')

@stop
@section('content')
    <section class="col-lg-10 connectedSortable">
        <div class="box box-primary">
            <div class="box-header with-border">
                <h3 class="box-title">Listado de Usuarios</h3>
            </div>
            <div class="box-footer">
                <a href="{{ route('user.create') }}" class="btn btn-primary pull-right"><i class="fa fa-plus"></i> Nuevo</a>
            </div>
            <div class="table-responsive">
                <table class="table table-bordered">
                    <thead>
                    <th>Id</th>
                    <th>Nombre</th>
                    <th>Correo</th>
                    <th>Estado</th>
                    <th>Acciones</th>
                    </thead>
                    <tbody>
                    @foreach($users as $user)
                        <tr>
                            <td>{{ $user->id }}</td>
                            <td>{{ $user->name }}</td>
                            <td>{{ $user->email }}</td>
                            <td>
                        @if($user->state == 1)
                                <span class="label label-success">Activo</span>
                        @else
                                <span class="label label-danger">Inactivo</span>
                            @endif
                            </td>
                            <td><a href="/admin/user/{{ $user->id }}/edit"> <i class="fa fa-pencil-square-o" aria-hidden="true"></i> Editar </a></td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
@endsection